Bug 534729 - (RHQ-1498) manually discovered resources need a way to update their version strings
manually discovered resources need a way to update their version strings
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-07 00:41 EST by John Mazzitelli
Modified: 2010-08-20 11:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-02-07 00:41:00 EST
(forum thread http://forums.rhq-project.org/viewtopic.php?f=5&t=46 talks about the use-cases involved)

Suppose I have a managed resource ("Product X") that for one reason or another cannot be auto-discovered. The only way it can make it into inventory is via manual-discovery. The user enters the plugin configuration needed to connect to Product X and the plugin's discovery component will take that config and be able to detect the Product X resource and create a discovery details object for it (including Product X's version string). From there, an inventory report is sent to the server and the new Product X resource is added to inventory.

Now, suppose sometime later, someone upgrades Product X. It was version 1.0, but it has now been upgraded to version 2.0.

Today, there is no way for the plugin container to detect this version change.  Since Product X can never be auto-discovered, it never goes through the periodic server scan processing that would normally update version strings that get auto-detected. Product X was manually discovered, so it never gets periodically discovered again. Therefore, there is no way for Product X resource's version string to ever be anything other than its very first, originally discovered version.

We need a way to periodically check manually discovered resources for changes like this.
Comment 1 Red Hat Bugzilla 2009-11-10 15:34:22 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1498
Comment 2 wes hayutin 2010-02-16 12:08:43 EST
mass add of key word FutureFeature to help track

Note You need to log in before you can comment on or make changes to this bug.